Introduction

FSL Launcher: Introduction

FSL Launcher Icon

Thank you for using FSL Launcher!

We hope that be useful for you and will remain satisfied with this utility.

Description:

Tired for dozen of icons on your desktop? Try FSL Launcher.
FSL Launcher is a simple but powerful and intuitive launcher to organize your shortcuts.

All versions include these advanced features:

Idea Multiple users shortcuts management (separated shortcuts database for each Windows user) for applications, documents, url links, folders path and more...

Idea Categories organization (multi-tab launcher) with fast selection menu.

Idea Drag & Drop support:
- Copy or move between group and desktop or Windows™ folders.
- Copy or move between groups; to copy or move (if shift key is pressed) shortcuts from group to group (Windows™ XP, 2003, MCE and Vista™ only).

Idea Mouse activation zone (Hot Spot) and timed Auto-hide functions (selectable) with customizable show and hide timings.

Idea Multi-Desktop and Dual-Monitor support.

Idea Backup and Restore for groups, shortcuts and program settings (to/from Zip file).

Idea Right click on shortcuts: activate the Explorer contextual popup menu.

Idea Stay on top (always on top) selectable option.

Idea Capability to Copy or Move shortcuts trough categories.

Idea Graphical Skins Management.

Idea Standard and Button mode (compact icons view without shortcuts name with button frame and spacing options).

Idea Single or double click launch.

Idea Hide on launch option.

Idea Program icon options: Show On Taskbar, Show in the System Tray and Don't Show.

Idea Tray Icon Menu.

Idea Customizable Tray Icon color (default blue, red, white and black).

Idea Shortcuts info tip box option: name only, detailed (name, type, size, date and other hints) or none.

Idea Auto select group option when mouse move over group tab.

Idea Hideable button bar, in order to reduce the launcher size.

Idea Support for MSI shortcuts (like MS Office™ shortcuts).

Idea Support for MS-DOS files (.COM, etc..).

Idea Capability to disable warning, confirmation an error dialogs.

Idea Support for screen with Large Icons.

Idea Windows Vista™ ready.

Idea Automatic (and/or manual) check for program updates.

Idea loading progress screen at startup (selectable).

Idea Multilanguage interface: English, Italian, Czech, French, Spanish, Arabic, Greek, Bulgarian, Portuguese (Brazil), Hungarian, German, Russian, Valencian, Dutch and Turkish. Read here if you want to translate into other languages or dialects.

Idea Character Set management to support translation into non-Latin languages (for example: Russian, Chinese, etc.).

Idea Free support forum for help, bugs report or requests.

Privileged Users version has these added benefits:

Idea User changeable keyboard Shortcut (Hot Key) to show (bring up) the Launcher.

Idea Group Launch button (launch all shortcuts of one group). Also capability to launch selected shortcuts (more then one) by pressing the Enter key.

Idea Screen Saver activation zone (Hot Spot): force Screen Saver activation when mouse is leaved on specified screen area for a short time. Nice feature i.e. at work: you can hide all when someone comes in the office.

Idea Hide dragging title, in order to reduce the launcher size.

Idea Tab Icon, customizable for each group with show option.

Idea Password protection for activation and setup of launcher.

Idea Selectable Background and Text color for each group.

Idea Scan for Broken Shortcuts function.

Idea Play custom sound when shortcut launched.

Idea Portable (traveler) edition of Launcher; suitable for removable disks (i.e. USB pen disk or external storage disk) and Read only disks (i.e. CD-ROM, DVD or Flash disk).

Commercial use edition has all Privileged Users benefits plus:

Idea Silent install mode with clean install and uninstall option (suitable for large scale installation).

Idea Update only Installer option.

Idea Full Launcher options customization installer capability.

Idea Capability of install predefined shortcuts.

Comments:

Some comments from our customers:

- "Thanks! I can see my desktop again!"

- "Just amazed with this tool. It is really very helpful."

- "Try it, you'll like it."

- "You simply must try this, My Desktop look so much better without all those icons."

Awards:

FSL Launcher has received some awards from various freeware publishing sites.

Continue to:

· Basic guide
· Advanced guide
· Skins creation guide
· Installer options
· FAQ
· Contacts

If commercial use edition is needed, please contact us for more info.

If you think that my work is useful for you, and want to support his future development, consider to donate (how much do you want) through PayPal.

Smail Thanks! - FSL - FreeSoftLand


Awards

Some "Five Stars" awards FSL Launcher has received from freeware publishing sites:

softforall | 5sofotex2 | daolnwod5
BS51 | filehungry5 | allapp5star
efreedown5 | ivertechstar5Award | softlist5
freewarefiles3 | 5programsdb | 5getfreesofts
5downloadready | 5dailysofts | 5redsoft
5softplatz | fts5stars | ftspick

Other awards:

 | softpedia
dziweb |


Translations

Languages currently shared with FSL Launcher:

Arabic | Arabic | Awadh A Al-Ghaamdi
bulgaria | Bulgarian | SpaceRupture
catalan | Catalan | Carles Viver
czech | Czech | Oldbrowser
Denmark | Danish | Vista-trick
Netherlands | Dutch | Roelof Hars
eng | English | FSL Team
fra | French | Pierre-Andre Giguere (first translation) Bertrand Delaitre (next updates)
ger | German | Zappa
greece | Greek | Apostolos
Hungarian | Hungarian | SzalayZ
ita | Italian | FSL Team
Slovakia | Slovak | Xyrk0
esp | Spanish | HispánicoWeb
Brazil | Portuguese (Brazil) 1 | Augusto Andrade
Brazil | Portuguese (Brazil) 2 | MCHAL
rus | Russian | a FSL friend
Turkey | Turkish | Cem Caner ERCAN
valencian | Valencian | Vjatv

Many thanks to these FreeSoftLand friends for the translations.

How to translate FSL Launcher:

If you can translate FSL Launcher into your language, follow these steps: (this example for "Portuguese")

· Copy the "English.lng" file (located into the "Languages" directory) renaming into your language.

e.g. "English.lng" à "Portuguese.lng"
· Open this new file with Notepad (or other text editor of your choice) and translate all words or phrases after the equal (=) character of definition lines.

e.g. For "Search" button: "MainForm.B_Find.caption=Search" à "MainForm.B_Find.caption=Busca" (without example quotes)
· To test the layout: put the "Portuguese.lng" file into the "Languages" folder (located into program directory) then restart FSL Launcher and select your language from setup.
· When translation has done, send the translated file to freesoftland@hotmail.it. Thanks a lot!


Contacts

FSL - FreeSoftLand

home Home Page

http://fsl.sytes.net or http://freesoftland.sytes.net

Blog Our New's Blog

http://fsl-freesoftland.blogspot.com

mail E-Mail

freesoftland@hotmail.it or freesoftland@gmail.com (only English or Italian)

Please, include in the Subject field of mail the word:

· TRANSLATION

if you want to translate someone of my programs
· FEEDBACK

for feedback on programs
· BUG

if you want to report bug in programs
· REQUEST

if you want to request new features
· OTHER

for others things

Free link the FreeSoftLand Home Page from your site:

· Copy this image into your site:

fsl

· Add this code to your page:

<a href="http://fsl.sytes.net"><img src="FSL.gif"></a>
· Thank You!


Donate

Dear friend,

thank you for using this program... If you think that my work is useful for you, and want to support his future development, consider to donate (how much do you want) through PayPal and become a Privileged User of FreeSoftLand forum; a user with highest priority for bugs resolution and enhancement request consideration.

To all privileged users I will donate one special and enhanced version of FSL Launcher as a thanks for their support.

SmailBig Thanks!

donate

End User License

This software is totally free for non-commercial use; if commercial use is needed, please contact us at: freesoftland@hotmail.it

Permission is granted to anyone to use this software for non-commercial use; if permission for commercial use is needed, please contact us at our Email address: freesoftland@hotmail.it

Except where otherwise noted, all of the documentation and software included in this package is copyrighted by FSL-FreeSoftLand.

This software is provided "as-is," without any express or implied warranty. In no event shall the author be held liable for any damages arising from the use of this software.


Basic guide

FSL Launcher: Basic guide

GUI and basic use:

There are five major areas on the GUI (Graphic User Interface) of FSL Launcher:

1. The Group Tabs
2. The Buttons group
3. The Shortcuts area
4. The Buttons bar
5. The Dragging areas

Below is the GUI of FSL Launcher: Please, click on any detail for direct jump to his description.

Launcher main window

Note: this screenshot is taken from the Privileged Users version of FSL Launcher; the standard version may have some small difference.

1

The Group Tabs:

There are several ways to select a group:

· Click on Left Button and Right Button buttons:

respective to select previous and next group.
· Click on group tab with mouse:

simply click on desired group tab to select.
· Press on Tab key on keyboard:

cycle through all groups.
· Auto-select when mouse over tab:

if this option is enabled from setup panel.

The Groups Icon:

· All group tabs can shown a selectable category icon (if this option is selected from setup panel):

2

The Buttons Group:

Buttons:

· Group Launch Button Button: on Privileged Users edition, launches all the shortcuts in the selected group; only visible if group launch button option is selected from setup panel.
Suitable i.e. if Outlook™, IE and Excel™ are needed for a work session...one button to launch all of them -or- i.e. at home for video editing session... to launch all used programs with a single click.
· Left Button Button: select the previous group.
· Right Button Button: select the next group.
· Groups list Button Button: is a fast selection drop-down menu, in order to view and select from all available groups:

Groups list menu

Groups list menu PE

· White hand White Hand: can be used to move the Launcher window around the screen (see dragging areas).
· Close button Button: Hide (minimize) to tray or button bar.

Note that the white hand, tab selection and drop-down menu buttons may be automatically hided if all Group Tabs are displayed:

Launcher without tabs buttons

3

The Shortcuts Area:

This area contains the shortcuts icons:

· Shortcuts can be copied (or moved) from the desktop or a folder by using the drag and drop.
Applications, documents, url links, folders and more items can be dragged on Launcher shortcuts area.
· Shortcuts can be launched by double clicking on icons (or single click if this option is selected from setup panel) -or- by pressing the Enter key of the keyboard (on Privileged Users edition, if multiple items are selected then all selected items will be launched).
· Several keyboards shortcuts will be used to operate into Shortcuts Area:
Enter: | launch one (or more) selected shortcut(s).
F2: | rename selected shortcut.
F5: | refresh current selected Group view.
Ctrl-X: | cut selected shortcut(s) to the clipboard.
Ctrl-C: | copy selected shortcut(s) to the clipboard.
Ctrl-V: | paste shortcut(s) from the clipboard.
Del: | after confirmation, delete selected Shortcut(s). Warning! This action is not reversible.
Arrows: | move selection through Shortcut Icons.
Shift: | if still down, allow multiple selections with mouse or keyboard.
Esc: | hide the Launcher.
Tab: | cycle through all groups.
Shift + Arrows: | on Privileged Users edition: move through Groups.

· Two views mode are available: standard view mode (with icon and name text) and button view mode (compact icons view without shortcuts name with button frame and spacing options). See setup for details on how to change the view mode.

Standard view mode:

Standard view mode

Button view modes:

Buttons view mode Buttons view frame mode

4

The Buttons Bar:

The buttons bar hold the function and menu buttons:

· Group Menu... Button: the group related commands menu, which contain:

Group Menu

Add Shortcut: show the add shortcut window (create new shortcut from scratch).

Properties...: show the group properties window.

Add...: to add a new group.

Remove: remove current selected group (Warning! This action is not reversible).

Refresh: redraw all shortcut icons on current selected group.

Cut

Copy

Paste item(s).

Open Groups Folder: to explore the Groups directory.

Backup / Restore: to Backup or Restore Groups, Shortcuts and program settings.

Reload groups: rescan and reload all shortcuts.

Scan for broken Shortcuts: on Privileged Users edition, a special function that discovery and delete (if confirmed) all broken shortcuts of all groups.

Backup / Restore menu:

backup

Backup: Backup Groups, Shortcuts and program settings.

Restore: Restore Groups, Shortcuts and program settings.

· Help... Button: show the basic help window.
· Setup... Button: show the setup window.
· About... Button: show the about and the donation window.
· Exit Button: end the Launcher.

Note that this last four button will be automatically grouped into single Menu... Button if the Launcher is resized a lot:

Buttons view mode

· Hide Button: hide the Launcher.
· The Hide Button Bar button Button: to hide the button bar, in order to reduce the Launcher size:

Below the Launcher without button bar:

Launcher without buttons bar

Note: click on a little triangle in the bottom right corner to restore the buttons bar.

5

The Dragging Areas:

· The dragging areas are two blank spaces between:
- the Group Tabs and the top right buttons group
- the Group Menu button and the Help button
Click on one of these areas in order to move the Launcher window around the screen.
· The main window can be also moved by using the little white hand in the top right buttons group.

Below, the mouse cursor shape if moved on dragging areas:

Launcher with dragging cursors

Continue to:

· Advanced guide
· Skin creation guide
· Installer options
· FAQ
· Contacts


Add shortcut

The Add shortcut window. In this window you can create a new shortcut from scratch:

· Shortcut name: the shortcut name to be displayed in the shortcuts group.
· Full path of file to launch: the full path (from drive letter to file extension) of file to launch. Use the "..." button to select the file.
· Work directory: the home directory for file or program selected above.
· Arguments: additional program arguments or parameters (this field may be left blank).

Note: if available, use drag and drop of files or shortcuts instead to manually add.


Group properties

The Group Properties window. In this window you can change and customize some parameters of selected group:

· Group Icon: on Privileged Users edition, here you can select the Group Icon to show into the Group Tab.
· Group Name: by typing into this edit field you can rename the Group title.
· Group Color: on Privileged Users edition, by clicking on Background and Text boxes you can customize the background and text labels color of this Group.

Below an example of custom group icons and colors (gray background and white text labels):

Other example of custom group icons and colors:

Groups list menu PE


Scan for broken shortcuts

Broken shortcuts are shortcut icons which point to not existent path or files.

On Privileged Users edition, in the Scan for Broken Shortcuts window you can select and remove all broken shortcuts of all groups:

Scan for Broken Shortcuts

· Sel. checkbox: check this box to select the shortcut to be removed.
· Cancel Button: go back to the main window without perform any actions.
· Delete selected Button: after confirmation all selected shortcuts will be deleted (Warning! This action is not reversible).


Advanced guide

FSL Launcher: Advanced guide

The Launcher Setup window and advanced configuration:

Basic Setup:

· Language: allow to select the interface language.
· Skin selection: allow to select the graphic interface skin. Read here for more info about skins.

Show skin background picture (if exists): allow to show (or hide, if not wanted) the skin background image.
· Show delay: the delay time (in mS) before to detect the mouse into the Hot Spot activation zone.
· Hide delay: the delay time (in mS) before to detect if the mouse have leaved the Launcher window. If the Hide Launcher when mouse move outside the application area option is enabled the Launcher goes into the Hide Mode.
· Stay On Top: if checked the Launcher window stay always on front of other windows.
· Hide Launcher when mouse move outside the application area: if checked the Launcher goes into the Hide Mode if the mouse leave the Launcher window area -and- after the Hide delay timeout.
· Hide the Launcher window at startup: if checked the Launcher window is not showed when program start (goes directly into Hide Mode).
· Start Launcher with Windows™: if checked the Launcher is executed just after the Windows™ has ended his boot sequence.
· Check at startup for program updates: If checked (default), FSL Launcher perform onetime online check if new program update is available for download at program startup.
· Do Check Now! Button: Perform connection to FreeSoftLand server and check if new program update is available for download.

Note: If update check does not work, make sure the Windows Firewall have enabled FSL Launcher in their exceptions list.
The on-line check does not download any updates; simply notify if update is available from FreeSoftLand home page or from privilege user access page.
· Move shortcuts dragged on group: if checked the shortcuts dragged from the desktop or from folders are moved instead of copied. The original shortcut(s) will deleted.
· Use large icon shortcuts: if checked allow people that have selected "show large icons" from Windows™ screen options to show correctly the 48 pixels icons. If "show large icons" is not selected from Windows™ screen options the Launcher show a zoomed shortcut icons.
· Show launcher loading progress screen at startup: if checked show a little splash screen with loading progress bar.

Advanced Setup:

· Button mode: change from standard view (shortcut icons with text label) to button view mode (compact icon view without shortcuts name). If checked, two options are available:

Shortcut spacing: specify the blank spacing (in pixels) around the shortcut.
Draw frames around shortcuts: if checked a frame is drawn around any shortcut.
· Single click launch: if checked the shortcut is launched at single click of mouse; if unchecked the shortcut is launched at double click of mouse.
· Disable auto hide on launch: if checked the Launcher do not goes into Hide Mode after shortcut has been launched.
· Auto select group when mouse move over group tab: if checked any group can be selected just when the mouse is moved over his tab.
· Show info tip: if checked a yellow info tip with only the shortcut name is displayed when the mouse stay over the shortcut icon.
· Show detailed info tip: if checked a yellow info tip with detailed target information is displayed when the mouse stay over the shortcut icon.
· Show Groups Folder Shortcut on Desktop: if checked the Launcher place a shortcut to Group directory on desktop. If unchecked, the shortcut is removed.
· Allow out of screen borders placement: check this option in order to support multi-desktop and dual-monitor systems.
· Remember last position on screen: if checked the Launcher remember the last position on screen when closed. If unchecked the launcher pop-up each time in the main desktop center when activated.
· Icon Options: here you can select the visual notification of the Launcher program:

Show on Taskbar: when visible the Launcher is notified as button on the Taskbar.
Show in the System Tray: the Launcher is always notified as icon in the System Tray (you can also select the icon color from: default blue, red, white and black).
Don't Show: nobody can see on screen if the Launcher is running when hided. Suitable for security reasons... also see the Password Option available on Privileged Users edition.

Alerts Setup:

· By unchecking this options is possible to disable any information, confirmation, warning and error dialogs showed by default from Launcher.

Warning! Shortcuts will be deleted without confirmation if you disable the delete warnings.

Privileged Users Only Setup:*

· Enable keyboard shortcut: if checked allow to define a user changeable keyboard Shortcut (Hot Key) in order to show (bring up) the Launcher by pressing a keys combination on keyboard.
· Play sound when launched: if checked allow to select a custom sound that will be played when shortcut launched.

The selected sound can be played by pressing the Sound button.
· Enable Group launch button: if checked .
· Show groups tab icon: if checked all group tabs can shown a selectable category icon; the icons can be chosen through the Group Properties.
· Activation zone: on Privileged Users edition, by clicking with the left mouse button into the zone selection box, the user can activate or deactivate the Hot Spot show zone. When this option is active a little black square is displayed into selected area of zone selection box.
· Screen Saver: on Privileged Users edition, by clicking with the right mouse button into the zone selection box, the user can activate or deactivate the Screen Saver activation zone. This option force the Screen Saver activation when mouse is leaved on specified screen area for a short time. Nice feature i.e. at work: you can hide all when someone comes in the office. When this option is active a little red square is displayed into selected area of zone selection box.
· Password: on Privileged Users edition, if this field is filled with a our choice password, the Launcher request a password when show or setup is requested. Leave blank the password field to turn off this option.

The Diagnostic Window:

From release 1.1.3.0 a new Diagnostic Window was added; in order to access simply press together the Shift and F1 keys when Launcher is active.

Continue to:

· Skin creation guide
· Installer options
· FAQ
· Contacts


Diagnostic Window

The Diagnostic Window:

From release 1.1.3.0 a new Diagnostic Window was added; in order to access simply press together the Shift and F1 keys when Launcher is active.

Access Privileges:

Show the access privileges (read / write permissions) for the Launcher application. Suitable for debugging Windows Vista related shortcuts writing problems or other bugs.

Events Log:

Show the events / errors log of launcher. The log can be saved to plain text file by clicking on "Save LOG to file..." button.


Skins creation guide

FSL Launcher: Skin creation guide

Some skins examples:

To build your own FSL Launcher skin follow these simple steps:

· Locate the “Skins” directory under the FSL Launcher program path (C:\Program Files\FSL\FSL_Launcher\Skins by default).
· Make a folder with the name of your skin into the “Skins” directory.
· Copy all the contents of the “Default” directory into your new directory.
· Edit and modify the default skin (images and colors.ini file).

The content of standard skin directory:

File Name | Description
ButtonL.bmp | graphic button, 130 x 19 pixels, four states: Up, Down, Hot, Disabled
ButtonM.bmp | graphic button, 95 x 19 pixels, four states: Up, Down, Hot, Disabled
ButtonS.bmp | graphic button, 70 x 19 pixels, four states: Up, Down, Hot, Disabled
List.bmp, GroupLaunch.bmp, MenuHide.bmp, MenuShow.bmp, Next.bmp, Previous.bmp, Close.bmp | seven graphic buttons, 19 x 19 pixels, four states: Up, Down, Hot, Disabled
TabActive.bmp, abInactive.bmp | group tabs background (selected and not), 58 (min.) x 25 pixels
MenuShow.bmp | little graphic button, 9 x 5 pixels, one state (static)
Play.bmp | clickable image, 16 x 16 pixels, one state
Hand.bmp | clickable image, 16 x 16 pixels, one state (the dragging hand)
Preview.bmp | skin preview image, 16 x 12 pixels, for skin selection menu
Colors.ini | text file with the color settings for the skin

Graphic button format:

The graphic button is in “Glyph” format: four images within a single bitmap. All images must be the same size and next to each other in a row. Graphic buttons display one of these images depending on their state.

Example:

Up Down Hot Disabled

Image Position | Button State | Description
First | Up | This image appears when the button is up (released)
Second | Down | This image appears when the button stays down (pressed)
Third | Hot | This image appears when the mouse is over the button. The Up image reappears when the mouse leave
Fourth | Disabled | This image usually appears dimmed to indicate that the button can't be pressed

Note: the transparency color (mask color) can be specified into the Colors.ini file.

Group tab images:

Two images, one for active (selected) and one for inactive (unselected) state. Height must be 25 pixels and width may be 58 pixels (min.) or more.

Example:

(active) [image] (inactive)

Note: The lower left pixel of the bitmap is reserved for the “transparent” color. Any pixel in the bitmap which matches that lower left pixel will be transparent.

The Colors.ini file:

Is a text file (init format) which describe the skin color settings.
The file is divided into three sections: [Form], [Buttons] and [Items]; below the parameters table:

Parameter | Value type | Description
[Form] |  | section header
BackgroundColor= | <color> | The background color of the windows (i.e. clRed, clWhite, $00F5E6DC, etc… see below)
Rounded= | <pixels> | The radius of the windows corners rounding (i.e. 12; set to 0 for square corners)
FontName= | <string> | The font style used for the form text (i.e. "MS Sans Serif")
FontSize= | <points> | The font size used for the form text (i.e. 8)
FontColor= | <color> | The font color used for the form text
FontColorHot= | <color> | The font color used for the form text when mouse is over a control.
FontColorTabActive= | <color> | The font color used for the selected tab label
FontColorTabInactive= | <color> | The font color used for the others tab labels
Border= | <color> | The color used for the dialog borders
BorderShadow= | <color> | The color used for the launcher left and bottom borders
BorderLight= | <color> | The color used for the launcher right and top borders
BorderWidth= | <pixels> | The width of border (pixels)
[Buttons] |  | section header:
TransparentColor= | <color> | Any pixel color in the button bitmap which matches that this value be transparent
FontName= | <string> | The font style used for the button text (i.e. "MS Sans Serif")
FontSize= | <points> | The font size used for the button text (i.e. 8)
FontColor= | <color> | The font color used for the button text
FontColorHot= | <color> | The font color used for the button text when mouse is over the button
[Items] |  | section header:
BackgroundColor= | <color> | The background color of the groups
BackgroundImage= | <string> | File name for background image (i.e. sample.bmp)
BackgroundMode= | <mode> | Background image mode: 0 = Normal (top-left), 1 = Tile, 2 = Stretch, 3 = Centered. Note: if mode = 2: only .bmp pictures are supported; otherwise .bmp, .jpg, .gif, .png are allowed.
FrameImage= | <string> | File base name for border images (eight images) i.e. if Border.bmp is provided then must be present: BorderL.bmp: left BorderT.bmp: top BorderR.bmp right BorderB.bmp: bottom BorderTL.bmp: top-left BorderTR.bmp: top-right BorderBL.bmp: botton-left BorderBR.bmp: bottom-right
FontName= | <string> | The font style used for the group items label (i.e. " Tahoma")
FontColor= | <color> | The font color used for the group items label
FontSize= | <points> | The font size used for the group items label (i.e. 8)

The <color> value format:

Standard Windows constants or RGB hexadecimal numbers can be used as <color> values.

The constants map either directly to the closest matching color in the system palette (for example, clBlue maps to blue) or to the corresponding system screen element color defined in the Color section of the Windows Control panel (for example, clBtnFace maps to the system color for button faces).

The RGB hexadecimal number is a 4-byte hexadecimal number; the low three bytes represent RGB color intensities for blue, green, and red, respectively. The value $00FF0000 represents full-intensity, pure blue, $0000FF00 is pure green, and $000000FF is pure red. $00000000 is black and $00FFFFFF is white. If the highest-order byte is zero, the color obtained is the closest matching color in the system palette. If the highest-order byte is one ($01), the color obtained is the closest matching color in the currently realized palette. If the highest-order byte is two ($02), the value is matched with the nearest color in the logical palette of the current device context.

The following tables lists the color constants; the first two columns list the colors that map to the closest matching color in the system palette, while the last two columns list the colors that are defined in the Windows Control panel:

Constant | Matching color | Constant | Description
clNone | Black | clScrollBar | Current color for the of scroll bar track
clAqua | Aqua | clBackground | Current background color of the Windows desktop
clBlack | Black | clActiveCaption | Current color of the title bar of the active window
clBlue | Blue | clInactiveCaption | Current color of the title bar of inactive windows
clCream | Cream | clMenu | Current background color of menus
clDkGray | Dark Gray | clWindow | Current background color of windows
clFuchsia | Fuchsia | clWindowFrame | Current color of window frames
clGray | Gray | clMenuText | Current color of text on menus
clGreen | Green | clWindowText | Current color of text in windows
clLime | Lime green | clCaptionText | Current color of the text on the title bar of the active window
clLtGray | Light Gray | clActiveBorder | Current border color of the active window
clMaroon | Maroon | clInactiveBorder | Current border color of inactive windows
clMedGray | Medium Gray | clAppWorkSpace | Current color of the application workspace
clMoneyGreen | Mint green | clHighlight | Current background color of selected text
clNavy | Navy blue | clHightlightText | Current color of selected text
clOlive | Olive green | clBtnFace | Current color of a button face
clPurple | Purple | clBtnShadow | Current color of a shadow cast by a button
clRed | Red | clGrayText | Current color of text that is dimmed
clSilver | Silver | clBtnText | Current color of text on a button
clSkyBlue | Sky blue | clInactiveCaptionText | Current color of the text on the title bar of an inactive window
clTeal | Teal | clBtnHighlight | Current color of the highlighting on a button
clWhite | White | cl3DDkShadow | Dark shadow for three-dimensional display elements
clYellow | Yellow | cl3DLight | Light color for three-dimensional display elements
clInfoText | Text color for tool tip |  |
clInfoBk | Background color for tool tip |  |

Note: subject to changes; in according to skins management evolution.

Continue to:

· Installer options
· FAQ
· Contacts


Installer options

FSL Launcher: Installer options

Installer options (only available into commercial use edition):

· Installer command line options
· Uninstaller command line options
· The configuration file
· Predefined shortcuts

Continue to:

· FAQ
· Contacts


Installer command line options

Installer command line options (only available into commercial use):

The Installer program accepts optional command line parameters. These can be useful to system administrators, and to other programs calling the Setup program.

Below the list of installer command line switches:

Option (switch) | Description
/SILENT | Instructs Installer to be silent. When Setup is silent the wizard window is not displayed but the installation progress window is.
/UPDATE | Instructs Installer to install only if version to be installed is great then current installed version.
/VERYSILENT | Instructs Installer to be very silent. When a setup is very silent this installation progress window is not displayed.
/CLEANINSTALL | Instruct Installer to remove all old shortcuts and registry keys before begin the installation.
/SUPPRESSMSGBOXES | Instructs Installer to suppress message boxes. Only has an effect when combined with '/SILENT' and '/VERYSILENT'.
/NOCANCEL | Prevents the user from cancelling during the installation process, by disabling the Cancel button and ignoring clicks on the close button. Useful along with '/SILENT' or '/VERYSILENT'.
/NOICONS | Instructs Setup to not create any icons.
/LOADINF="Setup.inf" | Instruct Installer to read a low level options file (refer to the Configuration File for high level options)
/? | Help. Show a brief list of above commands.

Below the structure of Setup.inf low level options file:

Option | Description
[Setup] | Inf file section header.
Lang= | Installer language (US by default)
Dir= | Installation directory (C:\Program Files\FSL\FSL_Launcher by default);
Group= | Start Menu Group (FSL\FSL Launcher by default)
NoIcons= | Suppress the Icons vreation (default: 0 = no)


Uninstaller command line options

Uninstaller command line options (only available into commercial use edition):

The Uninstaller program accepts optional command line parameters. These can be useful to system administrators, and to other programs calling the Uninstall program.

Below the list of uninstaller command line switches:

Option (switch) | Description
/SILENT | When specified, the uninstaller will not ask the user for startup confirmation or display a message stating that uninstall is complete. When is silent the wizard is not displayed but the uninstallation progress window is.
/VERYSILENT | When specified, the uninstaller will not ask the user for startup confirmation or display a message stating that uninstall is complete. When is very silent the uninstallation progress window is not displayed.
/DELETEALL | Instruct Installer to remove also all shortcuts and registry keys.
/SUPPRESSMSGBOXES | Instructs Uninstaller to suppress message boxes. Only has an effect when combined with '/SILENT' and '/VERYSILENT'.
/? | Help. Show a brief list of above commands.


The configuration file

Setup.cfg configuration file (only available into commercial use edition):

The Setup.cfg file is the "high level" options file (refer to the Setup.inf for low level options).

All default settings of FSL Launcher can be customized if the “Setup.cfg” file is located into the same path of Setup program.
Below is the list of available fields:

Field | Default | Description | Values
[Setup] |  | Installer options section header |
CleanInstall= | 0 | Perform clean before install (remove old settings and files) | 0 = no, 1 = yes
Dir= |  | Installation directory; default: C:\Program Files\FSL\FSL_Launcher | text
Group= |  | Program group; default: FSL\FSL Launcher | text
SN= |  | Activation number for local creation of FSLkey.bin file | text
[FSL Launcher] |  | Launcher options section header |
Language= | English | GUI language file name | text
Height= | 150 | Launcher height | 0 … screen height
Width= | 550 | Launcher width | 0 … screen width
Top= |  | Launcher top position (leave blank for screen center) | 0 … screen height
Left= |  | Launcher Left position (leave blank for screen center) | 0 … screen width
LastGroup= | Applications | last selected group, will be selected when Launcer start | text
AutoHide= | 0 | Hide Launcher when mouse move outside form area | 0 = no, 1 = yes
Hide= | 0 | Hide Launcher at startup | 0 = no, 1 = yes
Startup= | 1 | Start Launcher with Windows™ | 0 = no, 1 = yes
StayOnTop= | 0 | Stay (always) on top | 0 = no, 1 = yes
Update= | 1 | Check at startup for program updates | 0 = no, 1 = yes
ShowTime= | 500 | Hot spot corner activation time (mS) | 0 …
HideTime= | 3000 | Auto hide delay time (mS) | 0 …
MoveAlias= | 0 | Move shortcuts when dragged from desktop or folders | 0 = no, 1 = yes
Skin= | Default | Skin folder name | text
BackGround= | 1 | Show skin background image (if exists) | 0 = no, 1 = yes
ShowTip= | 0 | Show shortcuts tip | see table 1
AutoSwitch= | 0 | Auto select group when mouse move over group tab | 0 = no, 1 = yes
ShowButtons= | 1 | Show buttons bar | 0 = no, 1 = yes
Trigger= | -1 | Hot spot corner position | see table 2
SSTrigger= | -1 | Screen saver activation position | see table 2
ButtonMode= | 1 | Shortcuts buttons mode (compact icons view) | 0 = no, 1 = yes
ButtonFrame= | 0 | Draw frames around Shortcuts (button mode only) | 0 = no, 1 = yes
LargeIcons= | 0 | Use large icon shortcuts (48 pixels) | 0 = no, 1 = yes
Spacing= | 5 | Spacing between shortcuts (pixels) | 0 …
IconOption= | 1 | Icon option | see table 3
IconType= | 0 | Icon color type (Default 0=blue, 1=red, 2=white and 3=black) | 0 … 3
OneClick= | 1 | Single click launch | 0 = no, 1 = yes
NoHide= | 1 | Disable auto hide on launch | 0 = no, 1 = yes
GroupLaunch= | 0 | Enable group launch button | 0 = no, 1 = yes
Shortcuts= | 0 | Enable keyboard shortcut (HotKey) | 0 = no, 1 = yes
GroupsLink= | 0 | Show Groups folder shortcut on Desktop | 0 = no, 1 = yes
Shortcut= | 76 | ASCII Key code for HotKey (76=’L’) | ASCII value
ShortcutB= | 3 | Ctrl, Alt, Shift and Win bit mask for HotKey | see table 4
ShowTabIcons= | 0 | Show icons al left of tab title | 0 = no, 1 = yes
SoundLaunch= | 0 | Play sound when launch shortcut | 0 = no, 1 = yes
SoundFile= | 0 | Full path of launch sound | text
ShowSplash= | 1 | Show loadind splash screen | 0 = no, 1 = yes
DlgExit= | 1 | Confirm dialog before exit from Launcher | 0 = no, 1 = yes
DlgNet= | 1 | Confirm dialog before launch UNC path | 0 = no, 1 = yes
DlgGroup= | 1 | Warn dialog before launch group or multiple selection | 0 = no, 1 = yes
DlgDelGroup= | 1 | Warn dialog before delete group | 0 = no, 1 = yes
DlgDelItem= | 1 | Warn dialog before delete shortcut(s) | 0 = no, 1 = yes
DlgDelBroken= | 1 | Warn dialog before delete broken shortcut(s) | 0 = no, 1 = yes
DlgNotFound= | 1 | Show error message if target path not found | 0 = no, 1 = yes
NoBlnHidden= | 0 | not show one-shot tip message when hidden mode active | 0 = no, 1 = yes
AllowOutOfScreen= | 0 | Allow placement out of screen borders (multi desktop) | 0 = no, 1 = yes
RememberLastPos= | 1 | Remember last position | 0 = no, 1 = yes
[Groups] |  | Groups creation section header |
Applications= | 1 | More Groups can be added to these four Groups. |
Internet= | 1 | If the value = 1 the Group is created; if value=0 |
Games= | 1 | the Group is not created. |
Utilities= | 1 |  |
Misc.= | 0 |  |

Table 1: show shortcuts tip

0 | 1 | 2
Do not show | Show name only | Show detailed info tip

Table 2: hot spot corners

0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | -1
Top left | Top | Top right | Right | Bottom right | Bottom | Bottom left | Left | Disabled

Table 3: icon option

0 | 1 | 2
Show on Taskbar | Show in the system tray | Do not show

Table 4: Hot Key bit mask

Bit 7 | Bit 6 | Bit 5 | Bit 4 | Bit 3 | Bit 2 | Bit 1 | Bit 0
0 | 0 | 0 | 0 | WIN | SHIFT | ALT | CTRL


Predefined Shortcuts

The commercial use edition can install predefined shortcuts:

A folders structure must be present into same path of installer executable, in order to install predefined shortcuts into destination path.

The setup program search for special folder called "Shortcuts", then read all contained subdirectories (the groups) that must be contain the shortcuts to be copied into destination path.

i.e. if "Shortcuts\Misc.\example.url" is found, the installer create a "Misc." group that contain the "example.url" shortcut.


FAQ

FSL Launcher: FAQ

Frequently Asked Questions (FAQ):

Below are some FAQ we have collected from question e-mails we have received.

Note: is a work in progress list...; if you have some questions not listed below, please contact us.

Q: I have start the Launcher but I can't see the main window... why?

A: The Launcher maybe in "Hide Mode"; try to move the mouse cursor to top-left corner of desktop (hot spot) -or- click on Launcher Tray Bar Icon -or- use the tray menu -or- press the Ctrl-Alt-L shortcut on keyboard to show.

Q: Your work is useful for me... How I can donate some money to support your development?

A: Many thanks for your intentions! Please go here.

Q: Where I can get the Privileged User edition of your program?

A: You must be a Privileged user in order to get the Privileged Users edition.

Q: How I can become Privileged User?

A: Please read here.

Q: I want to use your program for commercial use. I need more information.

A: Please contact us for more information about commercial use.

Continue to:

· Contacts